#!/usr/bin/env python
'''
Create a django user.

Usage:

   ./django-mkuser.py username passwod superuser_flag

Examples:
   $ ./django-mkuser.py bigbob 'supersecret!' true
   $ ./django-mkuser.py littlebob 'nosecret!' false

'''
import os
import sys
import django

os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'settings')
from django.contrib.auth.models import User


def main():
    if len(sys.argv) != 4:
        sys.exit('ERROR: wrong number of arguments, expected 3')

    username = sys.argv[1]
    password = sys.argv[2]
    superuser = sys.argv[3]

    user = User(username='%s' % (username))
    user.set_password('%s' % (password))
    if superuser.lower() in ['true', 't']:
        user.is_superuser = True
        user.is_staff = True

    try:
        user.save()
    except django.db.utils.IntegrityError as exc:
        print('user update failed for ' + username)
        print(str(exc))

if __name__ == '__main__':
    main()
